incubator-allura-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From tvansteenbu...@apache.org
Subject [10/29] git commit: [#5775] ticket:405 added tests for renaming in svn
Date Thu, 12 Sep 2013 20:52:00 GMT
[#5775] ticket:405 added tests for renaming in svn


Project: http://git-wip-us.apache.org/repos/asf/incubator-allura/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-allura/commit/d509748e
Tree: http://git-wip-us.apache.org/repos/asf/incubator-allura/tree/d509748e
Diff: http://git-wip-us.apache.org/repos/asf/incubator-allura/diff/d509748e

Branch: refs/heads/tv/6457
Commit: d509748e8edf0e6e8cf47eef217b150a582c06f3
Parents: de91d9d
Author: Anton Kasyanov <mind1master@gmail.com>
Authored: Thu Aug 8 18:05:26 2013 +0300
Committer: Tim Van Steenburgh <tvansteenburgh@gmail.com>
Committed: Thu Aug 29 19:00:45 2013 +0000

----------------------------------------------------------------------
 .../data/testsvn-rename/.SOURCEFORGE-REPOSITORY |   1 +
 .../tests/data/testsvn-rename/README.txt        |   5 ++
 .../tests/data/testsvn-rename/conf/authz        |  32 +++++++
 .../tests/data/testsvn-rename/conf/passwd       |   8 ++
 .../data/testsvn-rename/conf/svnserve.conf      |  47 ++++++++++
 .../tests/data/testsvn-rename/db/current        |   1 +
 .../tests/data/testsvn-rename/db/format         |   2 +
 .../tests/data/testsvn-rename/db/fs-type        |   1 +
 .../tests/data/testsvn-rename/db/fsfs.conf      |  37 ++++++++
 .../data/testsvn-rename/db/min-unpacked-rev     |   1 +
 .../tests/data/testsvn-rename/db/revprops/0/0   |   5 ++
 .../tests/data/testsvn-rename/db/revprops/0/1   |  13 +++
 .../tests/data/testsvn-rename/db/revprops/0/2   |  13 +++
 .../tests/data/testsvn-rename/db/revprops/0/3   |  13 +++
 .../tests/data/testsvn-rename/db/revs/0/0       |  11 +++
 .../tests/data/testsvn-rename/db/revs/0/1       |  49 +++++++++++
 .../tests/data/testsvn-rename/db/revs/0/2       | Bin 0 -> 716 bytes
 .../tests/data/testsvn-rename/db/revs/0/3       |  56 ++++++++++++
 .../tests/data/testsvn-rename/db/txn-current    |   1 +
 .../data/testsvn-rename/db/txn-current-lock     |   0
 .../forgesvn/tests/data/testsvn-rename/db/uuid  |   1 +
 .../tests/data/testsvn-rename/db/write-lock     |   0
 .../forgesvn/tests/data/testsvn-rename/format   |   1 +
 .../tests/data/testsvn-rename/hooks/post-commit |   8 ++
 .../data/testsvn-rename/hooks/post-commit.tmpl  |  50 +++++++++++
 .../data/testsvn-rename/hooks/post-lock.tmpl    |  45 ++++++++++
 .../hooks/post-revprop-change.tmpl              |  57 +++++++++++++
 .../data/testsvn-rename/hooks/post-unlock.tmpl  |  43 ++++++++++
 .../data/testsvn-rename/hooks/pre-commit.tmpl   |  85 +++++++++++++++++++
 .../data/testsvn-rename/hooks/pre-lock.tmpl     |  71 ++++++++++++++++
 .../hooks/pre-revprop-change.tmpl               |  66 ++++++++++++++
 .../data/testsvn-rename/hooks/pre-unlock.tmpl   |  63 ++++++++++++++
 .../data/testsvn-rename/hooks/start-commit.tmpl |  68 +++++++++++++++
 .../data/testsvn-rename/locks/db-logs.lock      |   3 +
 .../tests/data/testsvn-rename/locks/db.lock     |   3 +
 .../tests/functional/test_controllers.py        |  27 ++++++
 .../forgesvn/tests/model/test_repository.py     |  56 ++++++++++--
 37 files changed, 935 insertions(+), 8 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/.SOURCEFORGE-REPOSITORY
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/.SOURCEFORGE-REPOSITORY b/ForgeSVN/forgesvn/tests/data/testsvn-rename/.SOURCEFORGE-REPOSITORY
new file mode 100644
index 0000000..f2990b4
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/.SOURCEFORGE-REPOSITORY
@@ -0,0 +1 @@
+svn
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/README.txt
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/README.txt b/ForgeSVN/forgesvn/tests/data/testsvn-rename/README.txt
new file mode 100644
index 0000000..3bf5a57
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/README.txt
@@ -0,0 +1,5 @@
+This is a Subversion repository; use the 'svnadmin' tool to examine
+it.  Do not add, delete, or modify files here unless you know how
+to avoid corrupting the repository.
+
+Visit http://subversion.tigris.org/ for more information.

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/conf/authz
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/conf/authz b/ForgeSVN/forgesvn/tests/data/testsvn-rename/conf/authz
new file mode 100644
index 0000000..0b9a410
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/conf/authz
@@ -0,0 +1,32 @@
+### This file is an example authorization file for svnserve.
+### Its format is identical to that of mod_authz_svn authorization
+### files.
+### As shown below each section defines authorizations for the path and
+### (optional) repository specified by the section name.
+### The authorizations follow. An authorization line can refer to:
+###  - a single user,
+###  - a group of users defined in a special [groups] section,
+###  - an alias defined in a special [aliases] section,
+###  - all authenticated users, using the '$authenticated' token,
+###  - only anonymous users, using the '$anonymous' token,
+###  - anyone, using the '*' wildcard.
+###
+### A match can be inverted by prefixing the rule with '~'. Rules can
+### grant read ('r') access, read-write ('rw') access, or no access
+### ('').
+
+[aliases]
+# joe = /C=XZ/ST=Dessert/L=Snake City/O=Snake Oil, Ltd./OU=Research Institute/CN=Joe Average
+
+[groups]
+# harry_and_sally = harry,sally
+# harry_sally_and_joe = harry,sally,&joe
+
+# [/foo/bar]
+# harry = rw
+# &joe = r
+# * =
+
+# [repository:/baz/fuz]
+# @harry_and_sally = rw
+# * = r

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/conf/passwd
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/conf/passwd b/ForgeSVN/forgesvn/tests/data/testsvn-rename/conf/passwd
new file mode 100644
index 0000000..ecaa08d
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/conf/passwd
@@ -0,0 +1,8 @@
+### This file is an example password file for svnserve.
+### Its format is similar to that of svnserve.conf. As shown in the
+### example below it contains one section labelled [users].
+### The name and password for each user follow, one account per line.
+
+[users]
+# harry = harryssecret
+# sally = sallyssecret

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/conf/svnserve.conf
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/conf/svnserve.conf b/ForgeSVN/forgesvn/tests/data/testsvn-rename/conf/svnserve.conf
new file mode 100644
index 0000000..e62a01e
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/conf/svnserve.conf
@@ -0,0 +1,47 @@
+### This file controls the configuration of the svnserve daemon, if you
+### use it to allow access to this repository.  (If you only allow
+### access through http: and/or file: URLs, then this file is
+### irrelevant.)
+
+### Visit http://subversion.tigris.org/ for more information.
+
+[general]
+### These options control access to the repository for unauthenticated
+### and authenticated users.  Valid values are "write", "read",
+### and "none".  The sample settings below are the defaults.
+# anon-access = read
+# auth-access = write
+### The password-db option controls the location of the password
+### database file.  Unless you specify a path starting with a /,
+### the file's location is relative to the directory containing
+### this configuration file.
+### If SASL is enabled (see below), this file will NOT be used.
+### Uncomment the line below to use the default password file.
+# password-db = passwd
+### The authz-db option controls the location of the authorization
+### rules for path-based access control.  Unless you specify a path
+### starting with a /, the file's location is relative to the the
+### directory containing this file.  If you don't specify an
+### authz-db, no path-based access control is done.
+### Uncomment the line below to use the default authorization file.
+# authz-db = authz
+### This option specifies the authentication realm of the repository.
+### If two repositories have the same authentication realm, they should
+### have the same password database, and vice versa.  The default realm
+### is repository's uuid.
+# realm = My First Repository
+
+[sasl]
+### This option specifies whether you want to use the Cyrus SASL
+### library for authentication. Default is false.
+### This section will be ignored if svnserve is not built with Cyrus
+### SASL support; to check, run 'svnserve --version' and look for a line
+### reading 'Cyrus SASL authentication is available.'
+# use-sasl = true
+### These options specify the desired strength of the security layer
+### that you want SASL to provide. 0 means no encryption, 1 means
+### integrity-checking only, values larger than 1 are correlated
+### to the effective key length for encryption (e.g. 128 means 128-bit
+### encryption). The values below are the defaults.
+# min-encryption = 0
+# max-encryption = 256

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/current
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/current b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/current
new file mode 100644
index 0000000..00750ed
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/current
@@ -0,0 +1 @@
+3

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/format
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/format b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/format
new file mode 100644
index 0000000..db06890
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/format
@@ -0,0 +1,2 @@
+4
+layout sharded 1000

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/fs-type
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/fs-type b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/fs-type
new file mode 100644
index 0000000..4fdd953
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/fs-type
@@ -0,0 +1 @@
+fsfs

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/fsfs.conf
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/fsfs.conf b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/fsfs.conf
new file mode 100644
index 0000000..0a5f1fe
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/fsfs.conf
@@ -0,0 +1,37 @@
+### This file controls the configuration of the FSFS filesystem.
+
+[memcached-servers]
+### These options name memcached servers used to cache internal FSFS
+### data.  See http://www.danga.com/memcached/ for more information on
+### memcached.  To use memcached with FSFS, run one or more memcached
+### servers, and specify each of them as an option like so:
+# first-server = 127.0.0.1:11211
+# remote-memcached = mymemcached.corp.example.com:11212
+### The option name is ignored; the value is of the form HOST:PORT.
+### memcached servers can be shared between multiple repositories;
+### however, if you do this, you *must* ensure that repositories have
+### distinct UUIDs and paths, or else cached data from one repository
+### might be used by another accidentally.  Note also that memcached has
+### no authentication for reads or writes, so you must ensure that your
+### memcached servers are only accessible by trusted users.
+
+[caches]
+### When a cache-related error occurs, normally Subversion ignores it
+### and continues, logging an error if the server is appropriately
+### configured (and ignoring it with file:// access).  To make
+### Subversion never ignore cache errors, uncomment this line.
+# fail-stop = true
+
+[rep-sharing]
+### To conserve space, the filesystem can optionally avoid storing
+### duplicate representations.  This comes at a slight cost in performace,
+### as maintaining a database of shared representations can increase
+### commit times.  The space savings are dependent upon the size of the
+### repository, the number of objects it contains and the amount of
+### duplication between them, usually a function of the branching and
+### merging process.
+###
+### The following parameter enables rep-sharing in the repository.  It can
+### be switched on and off at will, but for best space-saving results
+### should be enabled consistently over the life of the repository.
+# enable-rep-sharing = false

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/min-unpacked-rev
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/min-unpacked-rev b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/min-unpacked-rev
new file mode 100644
index 0000000..573541a
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/min-unpacked-rev
@@ -0,0 +1 @@
+0

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/0
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/0 b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/0
new file mode 100644
index 0000000..8d3fd9e
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/0
@@ -0,0 +1,5 @@
+K 8
+svn:date
+V 27
+2013-08-08T12:37:19.542781Z
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/1
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/1 b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/1
new file mode 100644
index 0000000..2a381d9
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/1
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 4
+root
+K 8
+svn:date
+V 27
+2013-08-08T12:38:04.489552Z
+K 7
+svn:log
+V 23
+Add initial directories
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/2
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/2 b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/2
new file mode 100644
index 0000000..144e101
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/2
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 4
+root
+K 8
+svn:date
+V 27
+2013-08-08T12:39:43.351248Z
+K 7
+svn:log
+V 11
+file in dir
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/3
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/3 b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/3
new file mode 100644
index 0000000..a3a76ba
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revprops/0/3
@@ -0,0 +1,13 @@
+K 10
+svn:author
+V 4
+root
+K 8
+svn:date
+V 27
+2013-08-08T12:40:01.848949Z
+K 7
+svn:log
+V 6
+rename
+END

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/0
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/0 b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/0
new file mode 100644
index 0000000..10f5c45
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/0
@@ -0,0 +1,11 @@
+PLAIN
+END
+ENDREP
+id: 0.0.r0/17
+type: dir
+count: 0
+text: 0 0 4 4 2d2977d1c96f487abe4a1e202dd03b4e
+cpath: /
+
+
+17 107

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/1
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/1 b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/1
new file mode 100644
index 0000000..f2ad9f2
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/1
@@ -0,0 +1,49 @@
+id: 2-1.0.r1/0
+type: dir
+count: 0
+cpath: /tags
+copyroot: 0 /
+
+id: 3-1.0.r1/62
+type: dir
+count: 0
+cpath: /trunk
+copyroot: 0 /
+
+id: 0-1.0.r1/126
+type: dir
+count: 0
+cpath: /branches
+copyroot: 0 /
+
+PLAIN
+K 8
+branches
+V 16
+dir 0-1.0.r1/126
+K 4
+tags
+V 14
+dir 2-1.0.r1/0
+K 5
+trunk
+V 15
+dir 3-1.0.r1/62
+END
+ENDREP
+id: 0.0.r1/306
+type: dir
+pred: 0.0.r0/17
+count: 1
+text: 1 194 99 99 2a9153030baf0be3d36129055b365771
+cpath: /
+copyroot: 0 /
+
+_3.0.t0-0 add-dir false false /trunk
+
+_0.0.t0-0 add-dir false false /branches
+
+_2.0.t0-0 add-dir false false /tags
+
+
+306 431

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/2
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/2 b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/2
new file mode 100644
index 0000000..3621d6e
Binary files /dev/null and b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/2 differ

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/3
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/3 b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/3
new file mode 100644
index 0000000..dfc2340
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/revs/0/3
@@ -0,0 +1,56 @@
+id: 2-2.0-3.r3/0
+type: file
+pred: 2-2.0.r2/31
+count: 1
+text: 2 0 18 6 58e3b26452d39a3b59fb382c0ba03bac 415b4467aab97d19ad3fd7beb8eeaa42c8330abc 1-1/_4
+cpath: /dir/b.txt
+copyfrom: 2 /dir/a.txt
+
+PLAIN
+K 5
+b.txt
+V 17
+file 2-2.0-3.r3/0
+END
+ENDREP
+id: 0-2.0.r3/243
+type: dir
+pred: 0-2.0.r2/245
+count: 1
+text: 3 193 37 37 1f4ffb88b2b1a84f68f687f7c6234093
+cpath: /dir
+copyroot: 0 /
+
+PLAIN
+K 8
+branches
+V 16
+dir 0-1.0.r1/126
+K 3
+dir
+V 16
+dir 0-2.0.r3/243
+K 4
+tags
+V 14
+dir 2-1.0.r1/0
+K 5
+trunk
+V 15
+dir 3-1.0.r1/62
+END
+ENDREP
+id: 0.0.r3/518
+type: dir
+pred: 0.0.r2/501
+count: 3
+text: 3 376 129 129 a5fed55ce83e9aefbeb6199207438b16
+cpath: /
+copyroot: 0 /
+
+2-2.0.r2/31 delete-file false false /dir/a.txt
+
+2-2._0.t2-2 add-file false false /dir/b.txt
+2 /dir/a.txt
+
+518 646

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/txn-current
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/txn-current b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/txn-current
new file mode 100644
index 0000000..00750ed
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/txn-current
@@ -0,0 +1 @@
+3

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/txn-current-lock
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/txn-current-lock b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/txn-current-lock
new file mode 100644
index 0000000..e69de29

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/uuid
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/uuid b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/uuid
new file mode 100644
index 0000000..b82b6b3
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/uuid
@@ -0,0 +1 @@
+7dc01617-2ce1-4b3d-96af-f7038e33c0a2

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/write-lock
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/write-lock b/ForgeSVN/forgesvn/tests/data/testsvn-rename/db/write-lock
new file mode 100644
index 0000000..e69de29

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/format
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/format b/ForgeSVN/forgesvn/tests/data/testsvn-rename/format
new file mode 100644
index 0000000..7ed6ff8
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/format
@@ -0,0 +1 @@
+5

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-commit
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-commit b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-commit
new file mode 100755
index 0000000..5c81f51
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-commit
@@ -0,0 +1,8 @@
+#!/bin/bash
+# The following is required for site integration, do not remove/modify.
+# Place user hook code in post-commit-user and it will be called from here.
+curl -s http://localhost:8080/auth/refresh_repo/p/test2/code/
+
+DIR="$(dirname "${BASH_SOURCE[0]}")"
+if [ -x $DIR/post-commit-user ]; then  exec $DIR/post-commit-user "$@"
+fi
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-commit.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-commit.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-commit.tmpl
new file mode 100644
index 0000000..93c92ad
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-commit.tmpl
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# POST-COMMIT HOOK
+#
+# The post-commit hook is invoked after a commit.  Subversion runs
+# this hook by invoking a program (script, executable, binary, etc.)
+# named 'post-commit' (for which this file is a template) with the 
+# following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] REV          (the number of the revision just committed)
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# Because the commit has already completed and cannot be undone,
+# the exit code of the hook program is ignored.  The hook program
+# can use the 'svnlook' utility to help it examine the
+# newly-committed tree.
+#
+# On a Unix system, the normal procedure is to have 'post-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'post-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'post-commit.bat' or 'post-commit.exe',
+# but the basic idea is the same.
+# 
+# The hook program typically does not inherit the environment of
+# its parent process.  For example, a common problem is for the
+# PATH environment variable to not be set to its usual value, so
+# that subprograms fail to launch unless invoked via absolute path.
+# If you're having unexpected problems with a hook program, the
+# culprit may be unusual (or missing) environment variables.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter.
+# For more examples and pre-written hooks, see those in
+# /usr/share/subversion/hook-scripts, and in the repository at
+# http://svn.apache.org/repos/asf/subversion/trunk/tools/hook-scripts/ and
+# http://svn.apache.org/repos/asf/subversion/trunk/contrib/hook-scripts/
+
+
+REPOS="$1"
+REV="$2"
+
+"$REPOS"/hooks/mailer.py commit "$REPOS" $REV "$REPOS"/mailer.conf

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-lock.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-lock.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-lock.tmpl
new file mode 100644
index 0000000..beae9d7
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-lock.tmpl
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+# POST-LOCK HOOK
+#
+# The post-lock hook is run after a path is locked.  Subversion runs
+# this hook by invoking a program (script, executable, binary, etc.)
+# named 'post-lock' (for which this file is a template) with the 
+# following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] USER         (the user who created the lock)
+#
+# The paths that were just locked are passed to the hook via STDIN (as
+# of Subversion 1.2, only one path is passed per invocation, but the
+# plan is to pass all locked paths at once, so the hook program
+# should be written accordingly).
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# Because the lock has already been created and cannot be undone,
+# the exit code of the hook program is ignored.  The hook program
+# can use the 'svnlook' utility to help it examine the
+# newly-created lock.
+#
+# On a Unix system, the normal procedure is to have 'post-lock'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'post-lock' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'post-lock.bat' or 'post-lock.exe',
+# but the basic idea is the same.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+USER="$2"
+
+# Send email to interested parties, let them know a lock was created:
+"$REPOS"/hooks/mailer.py lock \
+  "$REPOS" "$USER" "$REPOS"/hooks/mailer.conf

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-revprop-change.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-revprop-change.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-revprop-change.tmpl
new file mode 100644
index 0000000..cf7aedd
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-revprop-change.tmpl
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# POST-REVPROP-CHANGE HOOK
+#
+# The post-revprop-change hook is invoked after a revision property
+# has been added, modified or deleted.  Subversion runs this hook by
+# invoking a program (script, executable, binary, etc.) named
+# 'post-revprop-change' (for which this file is a template), with the
+# following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] REV          (the revision that was tweaked)
+#   [3] USER         (the username of the person tweaking the property)
+#   [4] PROPNAME     (the property that was changed)
+#   [5] ACTION       (the property was 'A'dded, 'M'odified, or 'D'eleted)
+#
+#   [STDIN] PROPVAL  ** the old property value is passed via STDIN.
+#
+# Because the propchange has already completed and cannot be undone,
+# the exit code of the hook program is ignored.  The hook program
+# can use the 'svnlook' utility to help it examine the
+# new property value.
+#
+# On a Unix system, the normal procedure is to have 'post-revprop-change'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'post-revprop-change' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'post-revprop-change.bat' or 'post-revprop-change.exe',
+# but the basic idea is the same.
+# 
+# The hook program typically does not inherit the environment of
+# its parent process.  For example, a common problem is for the
+# PATH environment variable to not be set to its usual value, so
+# that subprograms fail to launch unless invoked via absolute path.
+# If you're having unexpected problems with a hook program, the
+# culprit may be unusual (or missing) environment variables.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter.
+# For more examples and pre-written hooks, see those in
+# /usr/share/subversion/hook-scripts, and in the repository at
+# http://svn.apache.org/repos/asf/subversion/trunk/tools/hook-scripts/ and
+# http://svn.apache.org/repos/asf/subversion/trunk/contrib/hook-scripts/
+
+
+REPOS="$1"
+REV="$2"
+USER="$3"
+PROPNAME="$4"
+ACTION="$5"
+
+"$REPOS"/hooks/mailer.py propchange2 "$REPOS" $REV \
+  "$USER" "$PROPNAME" "$ACTION" "$REPOS"/hooks/mailer.conf

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-unlock.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-unlock.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-unlock.tmpl
new file mode 100644
index 0000000..277569f
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/post-unlock.tmpl
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+# POST-UNLOCK HOOK
+#
+# The post-unlock hook runs after a path is unlocked.  Subversion runs
+# this hook by invoking a program (script, executable, binary, etc.)
+# named 'post-unlock' (for which this file is a template) with the 
+# following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] USER         (the user who destroyed the lock)
+#
+# The paths that were just unlocked are passed to the hook via STDIN
+# (as of Subversion 1.2, only one path is passed per invocation, but
+# the plan is to pass all unlocked paths at once, so the hook program
+# should be written accordingly).
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# Because the lock has already been destroyed and cannot be undone,
+# the exit code of the hook program is ignored.
+#
+# On a Unix system, the normal procedure is to have 'post-unlock'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'post-unlock' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'post-unlock.bat' or 'post-unlock.exe',
+# but the basic idea is the same.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+USER="$2"
+
+# Send email to interested parties, let them know a lock was removed:
+"$REPOS"/hooks/mailer.py unlock \
+  "$REPOS" "$USER" "$REPOS"/hooks/mailer.conf

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-commit.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-commit.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-commit.tmpl
new file mode 100644
index 0000000..44c24b9
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-commit.tmpl
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# PRE-COMMIT HOOK
+#
+# The pre-commit hook is invoked before a Subversion txn is
+# committed.  Subversion runs this hook by invoking a program
+# (script, executable, binary, etc.) named 'pre-commit' (for which
+# this file is a template), with the following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] TXN-NAME     (the name of the txn about to be committed)
+#
+#   [STDIN] LOCK-TOKENS ** the lock tokens are passed via STDIN.
+#
+#   If STDIN contains the line "LOCK-TOKENS:\n" (the "\n" denotes a
+#   single newline), the lines following it are the lock tokens for
+#   this commit.  The end of the list is marked by a line containing
+#   only a newline character.
+#
+#   Each lock token line consists of a URI-escaped path, followed
+#   by the separator character '|', followed by the lock token string,
+#   followed by a newline.
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# If the hook program exits with success, the txn is committed; but
+# if it exits with failure (non-zero), the txn is aborted, no commit
+# takes place, and STDERR is returned to the client.   The hook
+# program can use the 'svnlook' utility to help it examine the txn.
+#
+# On a Unix system, the normal procedure is to have 'pre-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+#   ***  NOTE: THE HOOK PROGRAM MUST NOT MODIFY THE TXN, EXCEPT  ***
+#   ***  FOR REVISION PROPERTIES (like svn:log or svn:author).   ***
+#
+#   This is why we recommend using the read-only 'svnlook' utility.
+#   In the future, Subversion may enforce the rule that pre-commit
+#   hooks should not modify the versioned data in txns, or else come
+#   up with a mechanism to make it safe to do so (by informing the
+#   committing client of the changes).  However, right now neither
+#   mechanism is implemented, so hook writers just have to be careful.
+#
+# Note that 'pre-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'pre-commit.bat' or 'pre-commit.exe',
+# but the basic idea is the same.
+#
+# The hook program typically does not inherit the environment of
+# its parent process.  For example, a common problem is for the
+# PATH environment variable to not be set to its usual value, so
+# that subprograms fail to launch unless invoked via absolute path.
+# If you're having unexpected problems with a hook program, the
+# culprit may be unusual (or missing) environment variables.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter.
+# For more examples and pre-written hooks, see those in
+# /usr/share/subversion/hook-scripts, and in the repository at
+# http://svn.apache.org/repos/asf/subversion/trunk/tools/hook-scripts/ and
+# http://svn.apache.org/repos/asf/subversion/trunk/contrib/hook-scripts/
+
+
+REPOS="$1"
+TXN="$2"
+
+# Make sure that the log message contains some text.
+SVNLOOK=/usr/bin/svnlook
+$SVNLOOK log -t "$TXN" "$REPOS" | \
+   grep "[a-zA-Z0-9]" > /dev/null || exit 1
+
+# Exit on all errors.
+set -e
+
+# Check that the author of this commit has the rights to perform
+# the commit on the files and directories being modified.
+"$REPOS"/hooks/commit-access-control.pl "$REPOS" $TXN \
+  "$REPOS"/hooks/commit-access-control.cfg
+
+# All checks passed, so allow the commit.
+exit 0

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-lock.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-lock.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-lock.tmpl
new file mode 100644
index 0000000..13827fb
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-lock.tmpl
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# PRE-LOCK HOOK
+#
+# The pre-lock hook is invoked before an exclusive lock is
+# created.  Subversion runs this hook by invoking a program 
+# (script, executable, binary, etc.) named 'pre-lock' (for which
+# this file is a template), with the following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] PATH         (the path in the repository about to be locked)
+#   [3] USER         (the user creating the lock)
+#   [4] COMMENT      (the comment of the lock)
+#   [5] STEAL-LOCK   (1 if the user is trying to steal the lock, else 0)
+#
+# If the hook program outputs anything on stdout, the output string will
+# be used as the lock token for this lock operation.  If you choose to use
+# this feature, you must guarantee the tokens generated are unique across
+# the repository each time.
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# If the hook program exits with success, the lock is created; but
+# if it exits with failure (non-zero), the lock action is aborted
+# and STDERR is returned to the client.
+
+# On a Unix system, the normal procedure is to have 'pre-lock'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'pre-lock' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'pre-lock.bat' or 'pre-lock.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+PATH="$2"
+USER="$3"
+
+# If a lock exists and is owned by a different person, don't allow it
+# to be stolen (e.g., with 'svn lock --force ...').
+
+# (Maybe this script could send email to the lock owner?)
+SVNLOOK=/usr/bin/svnlook
+GREP=/bin/grep
+SED=/bin/sed
+
+LOCK_OWNER=`$SVNLOOK lock "$REPOS" "$PATH" | \
+            $GREP '^Owner: ' | $SED 's/Owner: //'`
+
+# If we get no result from svnlook, there's no lock, allow the lock to
+# happen:
+if [ "$LOCK_OWNER" = "" ]; then
+  exit 0
+fi
+
+# If the person locking matches the lock's owner, allow the lock to
+# happen:
+if [ "$LOCK_OWNER" = "$USER" ]; then
+  exit 0
+fi
+
+# Otherwise, we've got an owner mismatch, so return failure:
+echo "Error: $PATH already locked by ${LOCK_OWNER}." 1>&2
+exit 1

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-revprop-change.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-revprop-change.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-revprop-change.tmpl
new file mode 100644
index 0000000..576fb36
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-revprop-change.tmpl
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# PRE-REVPROP-CHANGE HOOK
+#
+# The pre-revprop-change hook is invoked before a revision property
+# is added, modified or deleted.  Subversion runs this hook by invoking
+# a program (script, executable, binary, etc.) named 'pre-revprop-change'
+# (for which this file is a template), with the following ordered
+# arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] REVISION     (the revision being tweaked)
+#   [3] USER         (the username of the person tweaking the property)
+#   [4] PROPNAME     (the property being set on the revision)
+#   [5] ACTION       (the property is being 'A'dded, 'M'odified, or 'D'eleted)
+#
+#   [STDIN] PROPVAL  ** the new property value is passed via STDIN.
+#
+# If the hook program exits with success, the propchange happens; but
+# if it exits with failure (non-zero), the propchange doesn't happen.
+# The hook program can use the 'svnlook' utility to examine the 
+# existing value of the revision property.
+#
+# WARNING: unlike other hooks, this hook MUST exist for revision
+# properties to be changed.  If the hook does not exist, Subversion 
+# will behave as if the hook were present, but failed.  The reason
+# for this is that revision properties are UNVERSIONED, meaning that
+# a successful propchange is destructive;  the old value is gone
+# forever.  We recommend the hook back up the old value somewhere.
+#
+# On a Unix system, the normal procedure is to have 'pre-revprop-change'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'pre-revprop-change' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'pre-revprop-change.bat' or 'pre-revprop-change.exe',
+# but the basic idea is the same.
+#
+# The hook program typically does not inherit the environment of
+# its parent process.  For example, a common problem is for the
+# PATH environment variable to not be set to its usual value, so
+# that subprograms fail to launch unless invoked via absolute path.
+# If you're having unexpected problems with a hook program, the
+# culprit may be unusual (or missing) environment variables.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter.
+# For more examples and pre-written hooks, see those in
+# /usr/share/subversion/hook-scripts, and in the repository at
+# http://svn.apache.org/repos/asf/subversion/trunk/tools/hook-scripts/ and
+# http://svn.apache.org/repos/asf/subversion/trunk/contrib/hook-scripts/
+
+
+REPOS="$1"
+REV="$2"
+USER="$3"
+PROPNAME="$4"
+ACTION="$5"
+
+if [ "$ACTION" = "M" -a "$PROPNAME" = "svn:log" ]; then exit 0; fi
+
+echo "Changing revision properties other than svn:log is prohibited" >&2
+exit 1

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-unlock.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-unlock.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-unlock.tmpl
new file mode 100644
index 0000000..d1aa858
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/pre-unlock.tmpl
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# PRE-UNLOCK HOOK
+#
+# The pre-unlock hook is invoked before an exclusive lock is
+# destroyed.  Subversion runs this hook by invoking a program 
+# (script, executable, binary, etc.) named 'pre-unlock' (for which
+# this file is a template), with the following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] PATH         (the path in the repository about to be unlocked)
+#   [3] USER         (the user destroying the lock)
+#   [4] TOKEN        (the lock token to be destroyed)
+#   [5] BREAK-UNLOCK (1 if the user is breaking the lock, else 0)
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# If the hook program exits with success, the lock is destroyed; but
+# if it exits with failure (non-zero), the unlock action is aborted
+# and STDERR is returned to the client.
+
+# On a Unix system, the normal procedure is to have 'pre-unlock'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'pre-unlock' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'pre-unlock.bat' or 'pre-unlock.exe',
+# but the basic idea is the same.
+#
+# Here is an example hook script, for a Unix /bin/sh interpreter:
+
+REPOS="$1"
+PATH="$2"
+USER="$3"
+
+# If a lock is owned by a different person, don't allow it be broken.
+# (Maybe this script could send email to the lock owner?)
+
+SVNLOOK=/usr/bin/svnlook
+GREP=/bin/grep
+SED=/bin/sed
+
+LOCK_OWNER=`$SVNLOOK lock "$REPOS" "$PATH" | \
+            $GREP '^Owner: ' | $SED 's/Owner: //'`
+
+# If we get no result from svnlook, there's no lock, return success:
+if [ "$LOCK_OWNER" = "" ]; then
+  exit 0
+fi
+
+# If the person unlocking matches the lock's owner, return success:
+if [ "$LOCK_OWNER" = "$USER" ]; then
+  exit 0
+fi
+
+# Otherwise, we've got an owner mismatch, so return failure:
+echo "Error: $PATH locked by ${LOCK_OWNER}." 1>&2
+exit 1

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/start-commit.tmpl
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/start-commit.tmpl b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/start-commit.tmpl
new file mode 100644
index 0000000..c10868f
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/hooks/start-commit.tmpl
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# START-COMMIT HOOK
+#
+# The start-commit hook is invoked before a Subversion txn is created
+# in the process of doing a commit.  Subversion runs this hook
+# by invoking a program (script, executable, binary, etc.) named
+# 'start-commit' (for which this file is a template)
+# with the following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] USER         (the authenticated user attempting to commit)
+#   [3] CAPABILITIES (a colon-separated list of capabilities reported
+#                     by the client; see note below)
+#
+# Note: The CAPABILITIES parameter is new in Subversion 1.5, and 1.5
+# clients will typically report at least the "mergeinfo" capability.
+# If there are other capabilities, then the list is colon-separated,
+# e.g.: "mergeinfo:some-other-capability" (the order is undefined).
+#
+# The list is self-reported by the client.  Therefore, you should not
+# make security assumptions based on the capabilities list, nor should
+# you assume that clients reliably report every capability they have.
+#
+# The working directory for this hook program's invocation is undefined,
+# so the program should set one explicitly if it cares.
+#
+# If the hook program exits with success, the commit continues; but
+# if it exits with failure (non-zero), the commit is stopped before
+# a Subversion txn is created, and STDERR is returned to the client.
+#
+# On a Unix system, the normal procedure is to have 'start-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'start-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'start-commit.bat' or 'start-commit.exe',
+# but the basic idea is the same.
+# 
+# The hook program typically does not inherit the environment of
+# its parent process.  For example, a common problem is for the
+# PATH environment variable to not be set to its usual value, so
+# that subprograms fail to launch unless invoked via absolute path.
+# If you're having unexpected problems with a hook program, the
+# culprit may be unusual (or missing) environment variables.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter.
+# For more examples and pre-written hooks, see those in
+# /usr/share/subversion/hook-scripts, and in the repository at
+# http://svn.apache.org/repos/asf/subversion/trunk/tools/hook-scripts/ and
+# http://svn.apache.org/repos/asf/subversion/trunk/contrib/hook-scripts/
+
+
+REPOS="$1"
+USER="$2"
+
+# Exit on all errors.
+set -e
+
+"$REPOS"/hooks/commit-allower.pl --repository "$REPOS" --user "$USER"
+"$REPOS"/hooks/special-auth-check.py --user "$USER" --auth-level 3
+
+# All checks passed, so allow the commit.
+exit 0

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/locks/db-logs.lock
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/locks/db-logs.lock b/ForgeSVN/forgesvn/tests/data/testsvn-rename/locks/db-logs.lock
new file mode 100644
index 0000000..20dd636
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/locks/db-logs.lock
@@ -0,0 +1,3 @@
+This file is not used by Subversion 1.3.x or later.
+However, its existence is required for compatibility with
+Subversion 1.2.x or earlier.

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/data/testsvn-rename/locks/db.lock
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/data/testsvn-rename/locks/db.lock b/ForgeSVN/forgesvn/tests/data/testsvn-rename/locks/db.lock
new file mode 100644
index 0000000..20dd636
--- /dev/null
+++ b/ForgeSVN/forgesvn/tests/data/testsvn-rename/locks/db.lock
@@ -0,0 +1,3 @@
+This file is not used by Subversion 1.3.x or later.
+However, its existence is required for compatibility with
+Subversion 1.2.x or earlier.

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/functional/test_controllers.py
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/functional/test_controllers.py b/ForgeSVN/forgesvn/tests/functional/test_controllers.py
index 16fd989..eb7d409 100644
--- a/ForgeSVN/forgesvn/tests/functional/test_controllers.py
+++ b/ForgeSVN/forgesvn/tests/functional/test_controllers.py
@@ -274,3 +274,30 @@ class TestImportController(SVNTestController):
         r = self.app.post('/p/test/admin/empty/importer/do_import',
                           {'checkout_url': 'http://fake.svn/'})
         assert tasks.reclone.post.called
+
+
+class SVNTestRenames(TestController):
+    def setUp(self):
+        TestController.setUp(self)
+        self.setup_with_tools()
+
+    @with_svn
+    def setup_with_tools(self):
+        h.set_context('test', 'src', neighborhood='Projects')
+        repo_dir = pkg_resources.resource_filename(
+            'forgesvn', 'tests/data/')
+        c.app.repo.fs_path = repo_dir
+        c.app.repo.status = 'ready'
+        c.app.repo.name = 'testsvn'
+        ThreadLocalORMSession.flush_all()
+        ThreadLocalORMSession.close_all()
+        h.set_context('test', 'src', neighborhood='Projects')
+        c.app.repo.refresh()
+        ThreadLocalORMSession.flush_all()
+        ThreadLocalORMSession.close_all()
+        h.set_context('test', 'src', neighborhood='Projects')
+
+    def test_log(self):
+        r = self.app.get('/src/3/log/?path=/dir/b.txt')
+        assert '<b>renamed from</b>' in r
+        assert '/dir/a.txt' in r

http://git-wip-us.apache.org/repos/asf/incubator-allura/blob/d509748e/ForgeSVN/forgesvn/tests/model/test_repository.py
----------------------------------------------------------------------
diff --git a/ForgeSVN/forgesvn/tests/model/test_repository.py b/ForgeSVN/forgesvn/tests/model/test_repository.py
index e47158f..2ed5de3 100644
--- a/ForgeSVN/forgesvn/tests/model/test_repository.py
+++ b/ForgeSVN/forgesvn/tests/model/test_repository.py
@@ -237,7 +237,8 @@ class TestSVNRepo(unittest.TestCase, RepoImplTestBase):
              'message': u'Copied a => b',
              'parents': [4],
              'refs': ['HEAD'],
-             'size': 0},
+             'size': 0,
+             'rename_details':{}},
             {'authored': {'date': datetime(2010, 10, 8, 15, 32, 59, 383719),
                           'email': '',
                           'name': u'rick446'},
@@ -248,7 +249,8 @@ class TestSVNRepo(unittest.TestCase, RepoImplTestBase):
              'message': u'Remove hello.txt',
              'parents': [3],
              'refs': [],
-             'size': 0},
+             'size': 0,
+             'rename_details':{}},
             {'authored': {'date': datetime(2010, 10, 8, 15, 32, 48, 272296),
                           'email': '',
                           'name': u'rick446'},
@@ -259,7 +261,8 @@ class TestSVNRepo(unittest.TestCase, RepoImplTestBase):
              'message': u'Modify readme',
              'parents': [2],
              'refs': [],
-             'size': 0},
+             'size': 0,
+             'rename_details':{}},
             {'authored': {'date': datetime(2010, 10, 8, 15, 32, 36, 221863),
                           'email': '',
                           'name': u'rick446'},
@@ -270,7 +273,8 @@ class TestSVNRepo(unittest.TestCase, RepoImplTestBase):
              'message': u'Add path',
              'parents': [1],
              'refs': [],
-             'size': 0},
+             'size': 0,
+             'rename_details':{}},
             {'authored': {'date': datetime(2010, 10, 8, 15, 32, 7, 238375),
                           'email': '',
                           'name': u'rick446'},
@@ -281,7 +285,8 @@ class TestSVNRepo(unittest.TestCase, RepoImplTestBase):
              'message': u'Create readme',
              'parents': [],
              'refs': [],
-             'size': 0},
+             'size': 0,
+             'rename_details':{}},
             ])
 
     def test_log_file(self):
@@ -297,7 +302,8 @@ class TestSVNRepo(unittest.TestCase, RepoImplTestBase):
              'message': u'Modify readme',
              'parents': [2],
              'refs': [],
-             'size': 28},
+             'size': 28,
+             'rename_details': {}},
             {'authored': {'date': datetime(2010, 10, 8, 15, 32, 7, 238375),
                           'email': '',
                           'name': u'rick446'},
@@ -308,7 +314,8 @@ class TestSVNRepo(unittest.TestCase, RepoImplTestBase):
              'message': u'Create readme',
              'parents': [],
              'refs': [],
-             'size': 28},
+             'size': 28,
+             'rename_details': {}},
             ])
 
     def test_is_file(self):
@@ -846,7 +853,7 @@ class TestMergeRequest(_TestWithRepoAndCommit):
             assert_equal(_svn().log.call_args[0], ('file:///tmp/svn/p/test/test2',))
             assert_equal(_svn().log.call_args[1]['revision_start'].number, 2)
             assert_equal(_svn().log.call_args[1]['limit'], 25)
-            _map_log.assert_called_once_with(_svn().log.return_value[0], 'file:///tmp/svn/p/test/test2')
+            _map_log.assert_called_once_with(_svn().log.return_value[0], 'file:///tmp/svn/p/test/test2', None)
 
 class TestRepoObject(_TestWithRepoAndCommit):
 
@@ -1010,3 +1017,36 @@ class TestCommit(_TestWithRepo):
 
     def test_context(self):
         self.ci.context()
+
+
+class TestRename(unittest.TestCase):
+
+    def setUp(self):
+        setup_basic_test()
+        self.setup_with_tools()
+
+    @with_svn
+    def setup_with_tools(self):
+        setup_global_objects()
+        h.set_context('test', 'src', neighborhood='Projects')
+        repo_dir = pkg_resources.resource_filename(
+            'forgesvn', 'tests/data/')
+        self.repo = SM.Repository(
+            name='testsvn-rename',
+            fs_path=repo_dir,
+            url_path = '/test/',
+            tool = 'svn',
+            status = 'creating')
+        self.repo.refresh()
+        self.rev = self.repo.commit('HEAD')
+        ThreadLocalORMSession.flush_all()
+        ThreadLocalORMSession.close_all()
+
+    def test_log_file_with_rename(self):
+        entry = list(self.repo.log(path='/dir/b.txt', id_only=False))[0]
+        assert_equal(entry['id'], 3)
+        assert_equal(entry['rename_details']['path'], '/dir/a.txt')
+        assert_equal(
+            entry['rename_details']['commit_url'],
+            self.repo.url_for_commit(2)  # previous revision
+        )


Mime
View raw message